Last modified: 2009-12-24 15:04:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21389 - Apply $wgDisabledVariants on Chinese Wikis
Apply $wgDisabledVariants on Chinese Wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Roan Kattouw
: shell
Depends on: 19019
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 16:45 UTC by Philip Tzou
Modified: 2009-12-24 15:04 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Philip Tzou 2009-11-02 16:45:13 UTC
Please help to set a new global variable for Chinese wikis, to disabled some variants that won't used. They are:

1. For zh.wikipedia, zh.wikinews, zh.wikibooks and zh.wikiquote:

   $wgDisabledVariants = array('zh-mo', 'zh-my');

2. For zh.wiktionary and zh.wikisource:

   $wgDisabledVariants = array('zh-mo', 'zh-my');

P.S. This new function to disabled variants has been applies on wmf at r57448.

And please someone who has access privileges of shell take a look at bug:19019. It's been a long time that Chinese wikis (except Wikipedia) can't been accessed if you logout. You just need to add these new aliases to apache's httpd.conf file to allow accessing:

   http://zh.wikipedia.org/zh/
   http://zh.wikisource.org/zh/
   http://zh.wiktionary.org/zh/
   http://zh.wikinews.org/zh/
   http://zh.wikinews.org/zh-hans/
   http://zh.wikinews.org/zh-hant/
   http://zh.wikinews.org/zh-cn/
   http://zh.wikinews.org/zh-hk/
   http://zh.wikinews.org/zh-sg/
   http://zh.wikinews.org/zh-tw/
   http://zh.wikibooks.org/zh/
   http://zh.wikibooks.org/zh-hans/
   http://zh.wikibooks.org/zh-hant/
   http://zh.wikibooks.org/zh-cn/
   http://zh.wikibooks.org/zh-hk/
   http://zh.wikibooks.org/zh-sg/
   http://zh.wikibooks.org/zh-tw/
   http://zh.wikiquote.org/zh/
   http://zh.wikiquote.org/zh-hans/
   http://zh.wikiquote.org/zh-hant/
   http://zh.wikiquote.org/zh-cn/
   http://zh.wikiquote.org/zh-hk/
   http://zh.wikiquote.org/zh-sg/
   http://zh.wikiquote.org/zh-tw/
Comment 1 Philip Tzou 2009-11-02 16:47:38 UTC
correction:

2. For zh.wiktionary and zh.wikisource:

   $wgDisabledVariants = array('zh-cn', 'zh-hk', 'zh-mo', 'zh-my', 'zh-sg', 'zh-tw');
Comment 2 Brion Vibber 2009-11-08 15:36:09 UTC
Note the remaining issues w/ bug 19019 configuration have been worked out; only the wgDisabledVariants settings need to be treated here.
Comment 3 Roan Kattouw 2009-12-24 15:04:06 UTC
Done

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links